<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 10</a>

    <script>

        const elementoMay = (arr) => {

            let map = new Map();
 
            for(let i = 0; i < arr.length; i++) {

                if (map.has(arr[i])) {

                    let count = map.get(arr[i]) +1;
                        if (count > arr.length /2) {
                            console.log("El elemento mayoritario del arreglo es: " + arr[i]);
                            return;
                        } else
                        map.set(arr[i], count);
                } else {
                    map.set(arr[i],1);
                }
            }
            console.log("No hay un elemento mayoritario en el arreglo");
        }

        let a = [1, 2, 5, 9, 8, 5, 5, 5, 5];         
        elementoMay(a);

    </script>
    
</body>
</html>